<h1 mat-dialog-title>
  <mat-icon>warning</mat-icon>Warning
  <span class="modal-close">
    <mat-icon (click)="closeModal()">clear</mat-icon>
  </span>
</h1>
<div mat-dialog-content>
  <p>Are you sure you want to proceed?</p>
</div>
<div mat-dialog-actions>
  <button mat-raised-button color="primary" (click)="closeModal()">Yes</button>
  <button mat-raised-button (click)="closeModal()">No</button>
</div>
